# ContourConfiguration class

Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

ContourConfiguration({Color? strokeColor, Color? strokeOkColor, Color? fillColor, Color? fillOkColor, double? strokeWidth, Color? autoSnapProgressStrokeColor, double? autoSnapProgressStrokeWidth, bool? autoSnapProgressEnabled, double? cornerRadius})

## Properties

autoSnapProgressEnabled ↔ bool?
  read / write
autoSnapProgressStrokeColor ↔ Color?
  read / write
autoSnapProgressStrokeWidth ↔ double?
  read / write
cornerRadius ↔ double?
  read / write
fillColor ↔ Color?
  read / write
fillOkColor ↔ Color?
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
strokeColor ↔ Color?
  read / write
strokeOkColor ↔ Color?
  read / write
strokeWidth ↔ double?
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited